apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      kubernetes.io/limit-ranger: 'LimitRanger plugin set: cpu, memory request for
        container codeready-operator; cpu, memory limit for container codeready-operator'
      openshift.io/scc: restricted
    creationTimestamp: 2020-07-10T20:00:22Z
    generateName: codeready-operator-66654446d5-
    labels:
      app: codeready-operator
      pod-template-hash: "2221000281"
    name: codeready-operator-66654446d5-86pvd
    namespace: workspaces
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: codeready-operator-66654446d5
      uid: fcfc89b4-c2e7-11ea-8ff6-001a4a16019d
    resourceVersion: "269362515"
    selfLink: /api/v1/namespaces/workspaces/pods/codeready-operator-66654446d5-86pvd
    uid: fd00f073-c2e7-11ea-8ff6-001a4a16019d
  spec:
    containers:
    - command:
      - /usr/local/bin/che-operator
      env:
      - name: WATCH_NAMESPACE
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.namespace
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      - name: OPERATOR_NAME
        value: codeready-operator
      - name: CHE_VERSION
        value: 2.1.1
      - name: IMAGE_default_che_server
        value: registry.redhat.io/codeready-workspaces/server-rhel8:2.1-22
      - name: IMAGE_default_plugin_registry
        value: registry.redhat.io/codeready-workspaces/pluginregistry-rhel8:2.1-90
      - name: IMAGE_default_devfile_registry
        value: registry.redhat.io/codeready-workspaces/devfileregistry-rhel8:2.1-76
      - name: IMAGE_default_pvc_jobs
        value: registry.access.redhat.com/ubi8-minimal:8.1-398
      - name: IMAGE_default_postgres
        value: registry.redhat.io/rhscl/postgresql-96-rhel7:1-47
      - name: IMAGE_default_keycloak
        value: registry.redhat.io/redhat-sso-7/sso73-openshift:1.0-15
      - name: IMAGE_default_che_workspace_plugin_broker_metadata
        value: registry.redhat.io/codeready-workspaces/pluginbroker-metadata-rhel8:2.1-9
      - name: IMAGE_default_che_workspace_plugin_broker_artifacts
        value: registry.redhat.io/codeready-workspaces/pluginbroker-artifacts-rhel8:2.1-9
      - name: IMAGE_default_che_server_secure_exposer_jwt_proxy_image
        value: registry.redhat.io/codeready-workspaces/jwtproxy-rhel8:2.1-11
      image: registry-internal.apps.rhc-lab.iad.redhat.com/codeready-workspaces/crw-2-rhel8-operator:2.2
      imagePullPolicy: Always
      name: codeready-operator
      ports:
      - containerPort: 60000
        name: metrics
        protocol: TCP
      resources:
        limits:
          cpu: 200m
          memory: 128Mi
        requests:
          cpu: 200m
          memory: 128Mi
      securityContext:
        capabilities:
          drop:
          - KILL
          - MKNOD
          - SETGID
          - SETUID
        runAsUser: 1000900000
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: codeready-operator-token-gf9xs
        readOnly: true
    dnsPolicy: ClusterFirst
    imagePullSecrets:
    - name: codeready-operator-dockercfg-qwrsf
    nodeName: ocp0010.rhc-lab.iad.redhat.com
    nodeSelector:
      node-role.kubernetes.io/compute: "true"
    priority: 0
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 1000900000
      seLinuxOptions:
        level: s0:c30,c15
    serviceAccount: codeready-operator
    serviceAccountName: codeready-operator
    terminationGracePeriodSeconds: 5
    tolerations:
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - name: codeready-operator-token-gf9xs
      secret:
        defaultMode: 420
        secretName: codeready-operator-token-gf9xs
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: 2020-07-10T20:00:22Z
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: 2020-07-10T20:21:40Z
      message: 'containers with unready status: [codeready-operator]'
      reason: ContainersNotReady
      status: "False"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'containers with unready status: [codeready-operator]'
      reason: ContainersNotReady
      status: "False"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: 2020-07-10T20:00:22Z
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: docker://0e0864cfc7d4121fd01e046ff7a1172441248aedde2321558ac9a88efab61902
      image: registry-internal.apps.rhc-lab.iad.redhat.com/codeready-workspaces/crw-2-rhel8-operator:2.2
      imageID: docker-pullable://registry-internal.apps.rhc-lab.iad.redhat.com/codeready-workspaces/crw-2-rhel8-operator@sha256:8175946499c0eb666a3e2d52a6c5691d78ce9818e3091f721b0bba69ff9a837c
      lastState:
        terminated:
          containerID: docker://0e0864cfc7d4121fd01e046ff7a1172441248aedde2321558ac9a88efab61902
          exitCode: 1
          finishedAt: 2020-07-10T20:21:39Z
          reason: Error
          startedAt: 2020-07-10T20:21:37Z
      name: codeready-operator
      ready: false
      restartCount: 9
      state:
        waiting:
          message: Back-off 5m0s restarting failed container=codeready-operator pod=codeready-operator-66654446d5-86pvd_workspaces(fd00f073-c2e7-11ea-8ff6-001a4a16019d)
          reason: CrashLoopBackOff
    hostIP: 10.15.74.38
    phase: Running
    podIP: 10.129.3.86
    qosClass: Guaranteed
    startTime: 2020-07-10T20:00:22Z
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
